petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCreateGhost

Creates a parallel vector with ghost padding on each processor.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateGhost(MPI_Comm comm,PetscInt n,PetscInt N,PetscInt nghost,const PetscInt ghosts[],Vec *vv)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - the MPI communicator to use Many br
| n | - local vector length Many br
| N | - global vector length (or PETSC_DECIDE to have calculated if n is given) Many br
| nghost | - number of local ghost points Many br
| ghosts | - global indices of ghost points, these do not need to be in increasing order (sorted) Many br

### Output Parameter

vv -the global vector representation (without ghost points as part of vector) Many br

### Notes

Use VecGhostGetLocalForm() to access the local, ghosted representation Many brof the vector. Many br

This also automatically sets the ISLocalToGlobalMapping() for this vector. Many br

Many br

### See Also

VecCreateSeq(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateMPI(),
VecGhostGetLocalForm(), VecGhostRestoreLocalForm(), VecGhostUpdateBegin(), Many brVecCreateGhostWithArray(), VecCreateMPIWithArray(), VecGhostUpdateEnd(), Many brVecCreateGhostBlock(), VecCreateGhostBlockWithArray(), VecMPISetGhost() Many br

Level:advanced
Location:src/vec/vec/impls/mpi/pbvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html